# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit cmake git-r3

#MY_PV="0.6pre1"

DESCRIPTION="A multi-system chiptune tracker compatible with DefleMask modules"
HOMEPAGE="https://github.com/tildearrow/furnace"
#SRC_URI="https://github.com/tildearrow/furnace/archive/refs/tags/v${MY_PV}.tar.gz"
EGIT_REPO_URI="https://github.com/tildearrow/furnace.git"
EGIT_COMMIT="v0.6pre1"
EGIT_SUBMODULES=( '*' '-extern/SDL' '-extern/fmt' '-extern/libsndfile' )

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="
midi? ( media-libs/rtmidi )
>=media-libs/libsdl2-2.0.18
>=sci-libs/fftw-3.3
>=dev-libs/libfmt-7.1.0
media-libs/libsndfile
sys-libs/zlib
media-libs/alsa-lib
pulseaudio? ( media-libs/libpulse )
x11-libs/libX11
virtual/opengl
"
RDEPEND="${DEPEND}"
BDEPEND=""

IUSE="jack midi pulseaudio +demos +instruments"

#S="${WORKDIR}/${PN}-${MY_PV}"

src_configure() {
	local mycmakeargs=(
		-DSYSTEM_FFTW=ON
		-DSYSTEM_FMT=ON
		-DSYSTEM_LIBSNDFILE=ON
		-DSYSTEM_RTMIDI=ON
		-DSYSTEM_ZLIB=ON
		-DSYSTEM_SDL2=ON
	)
	BUILD_DIR="${WORKDIR}/build"
	if use midi; then
		mycmakeargs+=( -DUSE_RTMIDI=ON )
	else
		mycmakeargs+=( -DUSE_RTMIDI=OFF )
	fi
	if use jack; then
		mycmakeargs+=( -DWITH_JACK=ON )
	else
		mycmakeargs+=( -DWITH_JACK=OFF )
	fi
	if use demos; then
		mycmakeargs+=( -DWITH_DEMOS=ON )
	else
		mycmakeargs+=( -DWITH_DEMOS=OFF )
	fi
	if use instruments; then
		mycmakeargs+=( -DWITH_INSTRUMENTS=ON )
	else
		mycmakeargs+=( -DWITH_INSTRUMENTS=OFF )
	fi
	cmake_src_configure
}
